Package org.eclipse.pde.ui.launcher

## Class OSGiLaunchConfigurationDelegate

- java.lang.Object
- - org.eclipse.debug.core.model.LaunchConfigurationDelegate
  - - org.eclipse.pde.launching.OSGiLaunchConfigurationDelegate
    - - org.eclipse.pde.ui.launcher.OSGiLaunchConfigurationDelegate

All Implemented Interfaces:
  `ILaunchConfigurationDelegate`, `ILaunchConfigurationDelegate2`

    @Deprecated
    public class OSGiLaunchConfigurationDelegate
    extends OSGiLaunchConfigurationDelegate

Deprecated.
use `OSGiLaunchConfigurationDelegate` instead.
A launch delegate for launching OSGi frameworks

Clients may subclass and instantiate this class.

Since:
  3.3
See Also:
  `OSGiLaunchConfigurationDelegate`

### Field Summary

### Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

### Constructor Summary

Constructors
`OSGiLaunchConfigurationDelegate()` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.pde.launching.OSGiLaunchConfigurationDelegate

`getBuildOrder, launch`

### Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, getBreakpoints, getLaunch, getProjectsForProblemSearch, isLaunchProblem, preLaunchCheck, saveBeforeLaunch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.ILaunchConfigurationDelegate

`showCommandLine`

### Constructor Detail

#### OSGiLaunchConfigurationDelegate

    public OSGiLaunchConfigurationDelegate()

Deprecated.